fdroidserver (2.2.0-3) unstable; urgency=medium

  * Team upload.

  [ Hans-Christoph Steiner ]
  * Suggests: ipfs-cid

  [ Jochen Sprickerhof ]
  * Add upstream patches to fix autopktests
  * Switch to dh-sequence-bash-completion
  * Bump policy version (no changes)
  * Drop salsa-ci.yml

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 22 Feb 2023 14:25:14 +0100

fdroidserver (2.2.0-2) unstable; urgency=medium

  * fix java_paths test for non-amd64 arches

 -- Hans-Christoph Steiner <hans@eds.org>  Tue, 21 Feb 2023 11:14:10 +0100

fdroidserver (2.2.0-1) unstable; urgency=medium

  * New upstream version 2.2.0

 -- Hans-Christoph Steiner <hans@eds.org>  Mon, 20 Feb 2023 11:00:48 +0100

fdroidserver (2.1.2-1) unstable; urgency=medium

  * New upstream version

 -- Hans-Christoph Steiner <hans@eds.org>  Thu, 17 Nov 2022 11:58:14 +0100

fdroidserver (2.1.1-3) unstable; urgency=medium

  * Team upload.
  * Add patch for new git behaviour (Closes: #1023800)

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 11 Nov 2022 19:17:55 +0100

fdroidserver (2.1.1-2) unstable; urgency=medium

  * Team upload.
  * Add patches for new JDK (Closes: #1023008)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 30 Oct 2022 00:38:09 +0200

fdroidserver (2.1.1-1) unstable; urgency=medium

  * New upstream version
  * dexdump is now used by `fdroid scanner`
  * apksigner is now a hard requirement to verify all APKs
  * remove CC-BY-SA-3 license, it is not relevant anymore

 -- Hans-Christoph Steiner <hans@eds.org>  Wed, 07 Sep 2022 08:38:31 +0200

fdroidserver (2.1-2) unstable; urgency=medium

  * fix localization tests for Python v3.10 (Closes: #1009755)
  * do not require python-vagrant (Closes: #986719)

 -- Hans-Christoph Steiner <hans@eds.org>  Sun, 17 Apr 2022 20:59:39 +0200

fdroidserver (2.1-1) unstable; urgency=medium

  * New upstream version

 -- Hans-Christoph Steiner <hans@eds.org>  Tue, 22 Feb 2022 23:24:00 +0100

fdroidserver (2.1~b0-1) unstable; urgency=medium

  * New upstream version

 -- Hans-Christoph Steiner <hans@eds.org>  Tue, 15 Feb 2022 21:10:43 +0100

fdroidserver (2.0.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.0.3

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 01 Jul 2021 14:48:57 +0200

fdroidserver (2.0.1-1) unstable; urgency=medium

  * New upstream version 2.0.1

 -- Hans-Christoph Steiner <hans@eds.org>  Tue, 09 Mar 2021 18:26:20 +0100

fdroidserver (2.0-1) unstable; urgency=medium

  * New upstream version 2.0

 -- Hans-Christoph Steiner <hans@eds.org>  Tue, 02 Feb 2021 13:28:22 +0100

fdroidserver (2.0~b1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.0~b1

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 15 Jan 2021 17:22:34 +0100

fdroidserver (2.0~a5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

  [ Debian Janitor ]
  * Bump debhelper from old 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Repository.
  * Remove obsolete field Contact from debian/upstream/metadata (already
    present in machine-readable debian/copyright).
  * Update standards version to 4.4.1, no changes needed.

  [ Louis-Philippe Véronneau ]
  * d/control: update the VCS links. (Closes: #946105)

  [ Sandro Tosi ]
  * Use the new Debian Python Team contact name and address

  [ Jochen Sprickerhof ]
  * bump debhelper and policy versions (no changes)
  * Update build dependencies
  * Install gradlew-fdroid
  * Move to standard salsa-ci.yml
  * Drop aapt from test dependens
  * rebase patch
  * update d/copyright
  * Add R-R-R: no to d/control
  * Simplify JDK dependency

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 07 Jan 2021 17:41:11 +0100

fdroidserver (1.1.10-1) unstable; urgency=medium

  * New upstream version

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

 -- Hans-Christoph Steiner <hans@eds.org>  Mon, 05 Oct 2020 14:27:20 +0200

fdroidserver (1.1.9-1) unstable; urgency=medium

  * New upstream version with more fixes for (Closes: #954070)

 -- Hans-Christoph Steiner <hans@eds.org>  Wed, 24 Jun 2020 21:57:08 +0200

fdroidserver (1.1.8-1) unstable; urgency=medium

  * New upstream version with more fixes for (Closes: #954070)

 -- Hans-Christoph Steiner <hans@eds.org>  Thu, 18 Jun 2020 08:14:23 +0200

fdroidserver (1.1.7-1) unstable; urgency=medium

  * New upstream version (Closes: #954070)
  * Remove "Recommends" test, ci.debian.net do not support binfmt_misc:
    https://salsa.debian.org/ci-team/debian-ci-config/-/issues/1

 -- Hans-Christoph Steiner <hans@eds.org>  Fri, 15 May 2020 09:37:56 +0200

fdroidserver (1.1.6-4) unstable; urgency=medium

  * fix running Recommends: test in containers

 -- Hans-Christoph Steiner <hans@eds.org>  Wed, 13 May 2020 20:13:06 +0200

fdroidserver (1.1.6-3) unstable; urgency=medium

  * only run Recommends: test in VM, not base test

 -- Hans-Christoph Steiner <hans@eds.org>  Tue, 12 May 2020 11:57:26 +0200

fdroidserver (1.1.6-2) unstable; urgency=medium

  * fix autopkgtest: run in VM so binfmt can be properly setup (Closes: #954395)

 -- Hans-Christoph Steiner <hans@eds.org>  Mon, 11 May 2020 21:55:14 +0200

fdroidserver (1.1.6-1) unstable; urgency=medium

  * New upstream release targeted for Debian/buster

 -- Hans-Christoph Steiner <hans@eds.org>  Tue, 17 Dec 2019 14:54:02 +0100

fdroidserver (1.1.4-1) unstable; urgency=medium

  * New upstream release targeted for Debian/buster
  * remove upstreamed patches

 -- Hans-Christoph Steiner <hans@eds.org>  Thu, 15 Aug 2019 10:49:30 +0200

fdroidserver (1.1.3-3) unstable; urgency=medium

  * conditionally disable tests that can't work with apksigner

 -- Hans-Christoph Steiner <hans@eds.org>  Wed, 10 Jul 2019 14:40:01 +0200

fdroidserver (1.1.3-2) unstable; urgency=medium

  * fix Recommends test, MD5 test fails with apksigner present

 -- Hans-Christoph Steiner <hans@eds.org>  Thu, 04 Jul 2019 16:33:11 +0200

fdroidserver (1.1.3-1) unstable; urgency=medium

  * New upstream version 1.1.3 to fix test suite

 -- Hans-Christoph Steiner <hans@eds.org>  Wed, 03 Jul 2019 19:26:15 +0200

fdroidserver (1.1.2-1) unstable; urgency=medium

  * New upstream version 1.1.2 (Closes: #929905)

 -- Hans-Christoph Steiner <hans@eds.org>  Wed, 03 Jul 2019 11:55:23 +0200

fdroidserver (1.1.1-1) unstable; urgency=medium

  * New upstream release
  * Recommends: apksigner to support APK Signature v2 and v3

 -- Hans-Christoph Steiner <hans@eds.org>  Sun, 03 Feb 2019 22:29:39 +0100

fdroidserver (1.1-1) unstable; urgency=medium

  * New upstream release

 -- Hans-Christoph Steiner <hans@eds.org>  Mon, 28 Jan 2019 18:28:56 +0100

fdroidserver (1.0.10-1) unstable; urgency=medium

  * New upstream version

 -- Hans-Christoph Steiner <hans@eds.org>  Wed, 26 Sep 2018 13:55:59 +0200

fdroidserver (1.0.9-1) unstable; urgency=medium

  * New upstream version

 -- Hans-Christoph Steiner <hans@eds.org>  Thu, 19 Jul 2018 16:14:09 +0200

fdroidserver (1.0.8-3) unstable; urgency=medium

  * hack to get autopkgtest to skip failing gpg test

 -- Hans-Christoph Steiner <hans@eds.org>  Wed, 27 Jun 2018 21:03:54 +0200

fdroidserver (1.0.8-2) unstable; urgency=medium

  * autopkgtest: explicitly purge gnupg so tests pass

 -- Hans-Christoph Steiner <hans@eds.org>  Mon, 25 Jun 2018 23:28:06 +0200

fdroidserver (1.0.8-1) unstable; urgency=medium

  * New upstream version
  * remove python3-distutils, it is no longer needed

 -- Hans-Christoph Steiner <hans@eds.org>  Mon, 25 Jun 2018 13:12:21 +0200

fdroidserver (1.0.7-2) unstable; urgency=medium

  * Depends: python3-distutils so its always there

 -- Hans-Christoph Steiner <hans@eds.org>  Mon, 25 Jun 2018 13:12:19 +0200

fdroidserver (1.0.7-1) unstable; urgency=medium

  * New upstream release
  * fix autopkgtest

 -- Hans-Christoph Steiner <hans@eds.org>  Wed, 20 Jun 2018 22:27:59 +0200

fdroidserver (1.0.6-1) unstable; urgency=medium

  * New upstream release

 -- Hans-Christoph Steiner <hans@eds.org>  Fri, 25 May 2018 17:15:51 +0200

fdroidserver (1.0.4-3) unstable; urgency=medium

  * fix autopkgtest run: working dir, and UTF-8 environment

 -- Hans-Christoph Steiner <hans@eds.org>  Fri, 18 May 2018 10:54:26 +0200

fdroidserver (1.0.4-2) unstable; urgency=medium

  * run upstream testsuite using autopkgtest

 -- Hans-Christoph Steiner <hans@eds.org>  Thu, 17 May 2018 12:17:12 +0200

fdroidserver (1.0.4-1) unstable; urgency=medium

  * New upstream version 1.0.4
  * Standards-Version: 4.1.4 no changes
  * support all the Java 10 and 11 packages
  * works with only androguard, removed optional deps
  * add debian/upstream/metadata file
  * Depends: androguard only on arches where it works

 -- Hans-Christoph Steiner <hans@eds.org>  Tue, 15 May 2018 14:04:05 +0200

fdroidserver (1.0.3-2) unstable; urgency=medium

  * only depend on aapt/androguard/zipalign on arches where available

 -- Hans-Christoph Steiner <hans@eds.org>  Fri, 23 Mar 2018 13:01:27 +0100

fdroidserver (1.0.3-1) unstable; urgency=medium

  * New upstream version
  * tighten up Depends to install fewer packages

 -- Hans-Christoph Steiner <hans@eds.org>  Thu, 22 Mar 2018 23:25:49 +0100

fdroidserver (1.0.2-1) unstable; urgency=medium

  * New upstream version

 -- Hans-Christoph Steiner <hans@eds.org>  Thu, 22 Feb 2018 21:38:07 +0100

fdroidserver (1.0.0-1) unstable; urgency=medium

  * New upstream version 1.0.0

 -- Hans-Christoph Steiner <hans@eds.org>  Wed, 03 Jan 2018 21:27:18 +0100

fdroidserver (0.9.1-1) unstable; urgency=medium

  * New upstream release

 -- Hans-Christoph Steiner <hans@eds.org>  Mon, 27 Nov 2017 17:01:46 +0100

fdroidserver (0.8-1) unstable; urgency=medium

  * New upstream release

 -- Hans-Christoph Steiner <hans@eds.org>  Mon, 31 Jul 2017 16:29:34 -0700

fdroidserver (0.7.0-2) unstable; urgency=medium

  * make sure bash-completion is installed (Closes: #856352)
  * prefer headless JDK when available (Closes: #855978)

 -- Hans-Christoph Steiner <hans@eds.org>  Tue, 28 Feb 2017 13:04:38 +0100

fdroidserver (0.7.0-1) unstable; urgency=medium

  * New upstream release (Closes: #835463)

 -- Hans-Christoph Steiner <hans@eds.org>  Mon, 12 Sep 2016 11:58:50 +0200

fdroidserver (0.6.0-2) unstable; urgency=medium

  * make metadata exceptions optional based on CLI flag
  * update debian/copyright

 -- Hans-Christoph Steiner <hans@eds.org>  Thu, 18 Feb 2016 14:57:13 +0100

fdroidserver (0.6.0-1) unstable; urgency=medium

  * New upstream release (Closes: #803501)

 -- Hans-Christoph Steiner <hans@eds.org>  Thu, 18 Feb 2016 12:09:42 +0100

fdroidserver (0.4.0-2) unstable; urgency=low

  * switch to default-jdk since it is now Java 7 or newer (Closes: #801510)

 -- Hans-Christoph Steiner <hans@eds.org>  Mon, 19 Oct 2015 11:33:45 +0200

fdroidserver (0.4.0-1) unstable; urgency=low

  * update to latest upstream release

 -- Hans-Christoph Steiner <hans@eds.org>  Thu, 06 Aug 2015 00:09:48 +0200

fdroidserver (0.3.0-1) unstable; urgency=low

  * update to latest upstream version (Closes: #774265)

 -- Hans-Christoph Steiner <hans@eds.org>  Thu, 23 Jul 2015 19:29:42 -0700

fdroidserver (0.2.1-4) unstable; urgency=medium

  * Recommend android-tools-adb, aapt, zipalign to provide essential utilities
  * include upstream commits that allow use of system-provided SDK utilities
    (Closes: #769912)

 -- Hans-Christoph Steiner <hans@eds.org>  Sun, 14 Dec 2014 20:22:07 +0100

fdroidserver (0.2.1-3) unstable; urgency=low

  * fix local sync perms

 -- Hans-Christoph Steiner <hans@eds.org>  Thu, 09 Oct 2014 21:42:09 -0400

fdroidserver (0.2.1-2) unstable; urgency=low

  * fix signing process on non-amd64 platforms (Closes: #761268)

 -- Hans-Christoph Steiner <hans@eds.org>  Tue, 26 Aug 2014 16:30:12 -0400

fdroidserver (0.2.1-1) unstable; urgency=low

  * new upstream release

 -- Hans-Christoph Steiner <hans@eds.org>  Tue, 12 Aug 2014 15:52:13 -0400

fdroidserver (0.2-1) unstable; urgency=low

  * new upstream release
  * Recommend: opensc since fdroidserver supports HSMs now
  * hard-code the path to keytool and jarsigner to force Java 7 versions

 -- Hans-Christoph Steiner <hans@eds.org>  Fri, 27 Jun 2014 16:30:14 -0400

fdroidserver (0.1-2) unstable; urgency=low

  * include upstream commits as patches to fix bug with 'mvn3'

 -- Hans-Christoph Steiner <hans@eds.org>  Tue, 18 Feb 2014 21:04:26 -0500

fdroidserver (0.1-1) unstable; urgency=low

  * updated upstream to v0.1 release
  * promoted to unstable

 -- Hans-Christoph Steiner <hans@eds.org>  Wed, 12 Feb 2014 22:52:56 -0500

fdroidserver (0.0+git20131105-1) experimental; urgency=low

  * updated upstream to get new 'fdroid init' command
  * fixed missing getsig for 'fdroid update'
  * Recommends: Java since some functions rely on keytool and jarsigner

 -- Hans-Christoph Steiner <hans@eds.org>  Tue, 05 Nov 2013 13:34:31 -0500

fdroidserver (0.0+git20131025-1) experimental; urgency=low

  * Initial release (Closes: #727716)

 -- Hans-Christoph Steiner <hans@eds.org>  Fri, 25 Oct 2013 15:13:50 -0400
